%define name odvr
%define version 0.1.5
%define release %mkrel 2

Summary: 	User-space driver for USB-enabled Olympus DVRs
Name:         	%{name}
Version:        %{version}
Release:        %{release}
License:      	GPLv3
Group:        	Sound
URL:		http://code.google.com/p/odvr/
Source0:	%{name}-%{version}.tar.xz
Source1:        %{name}.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	%{_lib}usb1.0-devel libsndfile-devel


%description
odvr is a user-space driver for USB-enabled Olympus DVRs that do not support 
the USB Mass Storage specification. odvr is tested against the VN-960PC, but 
should support other "VN" Olympus models. See SupportedDevices for a list of 
known-working devices. 

%package gui
Summary:        %name-gui
Requires:       %name = %version-%release
Group:          Sound
Provides:       %name-gui = %version-%release

%description gui
odvr is a user-space driver for USB-enabled Olympus DVRs that do not support 
the USB Mass Storage specification. odvr is tested against the VN-960PC, but 
should support other "VN" Olympus models. See SupportedDevices for a list of 
known-working devices. 


%prep
%setup


%build

%make


%install 
rm -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_bindir}
install -m 755 odvr %{buildroot}%{_bindir}/%{name}
install -m 755 odvr-gui %{buildroot}%{_bindir}/%{name}-gui


mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d
cp -f 41-odvr.rules %{buildroot}%{_sysconfdir}/udev/rules.d

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=ODVR
Comment=%{summary}
Exec=%{_bindir}/%{name}-gui
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=System;Settings;X-MandrivaLinux-System-Configuration-Hardware;
EOF

install -D -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

perl -pi -e 's/SYSFS/ATTRS/g' %{buildroot}%{_sysconfdir}/udev/rules.d/41-odvr.rules


%clean
rm -rf %{buildroot}

%post
%update_menus


%postun
%clean_menus


%files
%defattr(-,root,root)
%doc README COPYING
%{_sysconfdir}/udev/rules.d/41-odvr.rules
%{_bindir}/%{name}


%files gui
%defattr(-,root,root)
%{_bindir}/%{name}-gui
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Tue Sep 24 2013 billybot <billybot> 0.1.5-2pclos2013
- fix udev rule

* Sat May 29 2010 slick50 <lxgator@gmail.com>  0.1.5-1pclos2010
- initial build
